{ ... }:

{
  # TASK: new device
  hardware.encryptedDisk = {
    enable = true;
    diskId = "nvme-SAMSUNG_MZVLW256HEHP-000L7_S35ENX0K827498";
  };

  nix.maxJobs = 3;
  nix.buildCores = 3;

  hardware.enableAllFirmware = true;
  hardware.trackpoint.emulateWheel = true;

  boot.initrd.availableKernelModules = [ "xhci_pci" "ahci" "usb_storage" "sd_mod" "rtsx_pci_sdmmc" ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModprobeConfig = ''
    options kvm-intel nested=1
    options kvm-intel enable_shadow_vmcs=1
    options kvm-intel enable_apicv=1
    options kvm-intel ept=1
  '';
}
